<?php

namespace seraph_accel;

if( !defined( 'ABSPATH' ) )
	exit;

class CloudFlareHooksEx extends \CF\WordPress\Hooks
{
	public function purgeUrl( $url )
	{
		if( !( $host = Gen::GetArrField( Net::UrlParse( $url ), array( 'host' ) ) ) )
			return;

		$bFound = false;
		foreach( Gen::GetArrField( $this -> integrationAPI -> getDomainList(), array( '' ), array() ) as $domain )
		{
			if( Gen::StrEndsWith( $host, $domain ) )
			{
				$bFound = true;
				break;
			}
		}
		if( !$bFound )
			return;

        if( !( $zoneTag = $this -> api -> getZoneTag( $domain ) ) )
            return;

		$chunk = array( $url );

		$this -> api -> zonePurgeFiles( $zoneTag, $chunk );
		if( $this -> isAutomaticPlatformOptimizationCacheByDeviceTypeEnabled() )
			$this -> api -> zonePurgeFiles( $zoneTag, array_map( array( $this, 'toPurgeCacheOnMobile' ), $chunk ) );
	}
}

